<template>
  <v-container>
    <v-row>
      <v-col
        cols="6"
      >
        <v-card class="rounded-xl">
          <v-card-title class="justify-center font-weight-black subtitle-2">
            Cantidad de asignaciones a motivo de consulta
          </v-card-title>
          <v-row>
            <v-col>
              <chart-horizontal-bar
                :series="seriesHorizontalBar"
                :height="350"
                width="90%"
                title-x="Cantidad citas"
              />
            </v-col>
          </v-row>
        </v-card>
      </v-col>
      <v-col
        cols="6"
      >
        <v-card class="rounded-xl">
          <v-card-title class="justify-center font-weight-black subtitle-2">
            Cantidad de citas canceladas en periodos mensuales
          </v-card-title>
          <v-row>
            <v-col>
              <chart-line
                title-y="Cantidad citas canceladas"
                titleX="Periodo de tiempo"
                :series="seriesLine"
                :categories="categoriesLine"
                :height="350"
                width="90%"
              />
            </v-col>
          </v-row>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import ChartLine from '~/components/Dashboard/ChartLine';
import ChartHorizontalBar from '~/components/Dashboard/ChartHorizontalBar';
export default {
  name: 'FirstChart',
  components: {
    ChartLine,
    ChartHorizontalBar,
  },
  data() {
    return {
      seriesLine: [
        {
          name: 'Cantidad',
          data: [4, 5, 3, 2, 1, 5],
        },
      ],
      seriesHorizontalBar: [{
        name: 'Cantidad',
        data: [40, 30, 26, 0, 0],
      }],
      categoriesLine: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun'],
    };
  },
};
</script>
